#
# rpm spec file for package gnet (Version 0.3.0)
#
# (C) 2001 SSS Lab, CS, Purdue
#
# please send bugfixes or comments to gnet@gecko.cs.purdue.edu
#

Vendor:       Secure Software Systems Lab, CS Dept., Purdue University
Distribution: Zen (i386) 
Name:         gnet
Release:      3
Packager:     grothoff@cs.purdue.edu 

License:      GPL
Group:        Network/Security
Provides:     gnet
Requires:     java2, openssl, zlib
Summary:      An Anonymous Distributed Secure Network
URL:          http://gecko.cs.purdue.edu/gnet/
Version:      0.3.0
Source:       http://gecko.cs.purdue.edu/gnet/gnet-0.3.0.tar.bz2
BuildRoot:    /tmp/gnet
BuildArch:    i386
Prefix:       /usr/local

%description
GNet is an anonymous, distributed file-sharing
system that is currently developed at Purdue University. 

This is a beta version. Yet, all important features have
been implemented and tested. In particular, the format 
for the content stored has been finalized. Future 
versions will support the same format for content.

For a longer description of the GNet System, 
see our webpage.


Authors:
--------
    Krista Bennett <klb@cs.purdue.edu>
    Christian Grothoff <grothoff@cs.purdue.edu>
    Tzvetan Horozov <horozov@cs.purude.edu>
    Ioana Patrascu <patrascu@cs.purdue.edu>
    Tiberius Stef <tstef@cs.purdue.edu>

%prep
%setup -n gnet-%{version}

%build
%install
[ "$USER" = "root" ] || (echo "Must be build as root" ; exit 1 )
export RPM_BUILD_ROOT
bin/build.sh $RPM_BUILD_ROOT/usr/local
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/gnet
cp AUTHORS README ChangeLog NEWS COPYING gnet.conf $RPM_BUILD_ROOT/usr/share/doc/packages/gnet
mkdir -p $RPM_BUILD_ROOT/var/gnet
cp gnet.conf $RPM_BUILD_ROOT/var/gnet/.gnet
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp doc/initgnet $RPM_BUILD_ROOT/etc/rc.d/init.d/gnetd

%post
groupadd -r -f gnet || groupadd -f gnet || true
useradd -r -g gnet -d /var/gnet gnet || useradd -g gnet -d /var/gnet gnet || true
chown -R gnet:gnet /var/gnet
chmod g+s /usr/local/bin/gnetinsert
chmod 775 /var/gnet
mkdirp /var/gnet/.gnet_/data/hosts
cd /var/gnet/.gnet_/data/hosts
wget http://gecko.cs.purdue.edu/gnet/hosts.tar.gz
tar xvfz hosts.tar.gz
rm hosts.tar.gz
cd ..
echo "Please start gnetd as root with /etc/rc.d/init.d/gnetd start"

%files
%{prefix}/lib/gproxy.jar
%{prefix}/lib/libgproxy.so
%{prefix}/lib/libgproxy.so.*
%{prefix}/bin/gnetd
%{prefix}/bin/gproxy
%{prefix}/bin/gnetinsert
%{prefix}/bin/gnetupdate
%{prefix}/bin/mp32gnet
/var/gnet/.gnet
/etc/rc.d/init.d/gnetd
%doc /usr/share/doc/packages/gnet/AUTHORS
%doc /usr/share/doc/packages/gnet/README
%doc /usr/share/doc/packages/gnet/ChangeLog
%doc /usr/share/doc/packages/gnet/NEWS
%doc /usr/share/doc/packages/gnet/COPYING
%doc /usr/share/doc/packages/gnet/gnet.conf


%changelog 
* Sat Feb  2 2002 Christian Grothoff <grothoff@cs.purdue.edu>
- added mp32gnet binary 

* Mon Jan 21 2002 Christian Grothoff <grothoff@cs.purdue.edu>
- updated version number to 0.3.0
- updated comments to reflect the status of the project 

* Sun Jan 20 2002 Christian Grothoff <grothoff@cs.purdue.edu>
- made insertfile sgid to allow writing to /var/gnet
- made /var/gnet group writeable
- renamed gnet to gnetd, insertfile to gnetinsert
  updatehosts to gnetupdate
- bumped version to 0.2.2-3

* Wed Jan 16 2002 Christian Grothoff <grothoff@cs.purdue.edu>
- renamed startscript to "gnetd"
- added automatic download of initial hostlist to post-install
- now able to build directly to $RPM_BUILD_DIR
- made RH specific -r flag in useradd/groupadd "optional"

* Sun Jan 13 2002 Christian Grothoff <grothoff@cs.purdue.edu>
- bumped version to 0.2.2
- added startscript /etc/rc.d/init.d/gnet
- made sure user and group gnet get created

* Fri Jan  4 2002 Christian Grothoff <grothoff@cs.purdue.edu>
- Added prefix to allow adjustment of the location of the binaries
- bumped version to 0.2.1
- used "*" for library versions instead of fixed version number
- added script to obtain hostlist from gecko

