/**
 * Sender sends input from the console to a UDP listener.
 * @file gnet/network/testing/sender.c
 * @author Christian Grothoff
 * @author Larry Waldo
 **/


#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <stdlib.h>

#include <pthread.h>

#include "network.h"
#include "threads.h"

#define MESSAGE_SIZE 1024

main(int argc, char * argv[]) {
  struct sockaddr_in incomming;
  int socket = passivesock(DEFAULTPORT, PROTOCOLNAME, QUEUELENGTH);
  int addrlen = sizeof(incomming);  
  int size;
  char message[1500];
  pthread_t threads[THREAD_COUNT];
  fprintf(stdout,"receiving data at port %s using %s\n",
	  DEFAULTPORT, PROTOCOLNAME);
  bzero(&incomming,sizeof(struct sockaddr_in));
  if (socket < 0) {
    fprintf(stderr,
	    "unknown error reading from socket (%d)\n",
	    socket);
    exit(-1);    
  }
  while (1) {
    size = recvfrom(socket, message, MESSAGE_SIZE, 0,
		    (struct sockaddr * )&incomming, &addrlen);

    message[size]='\0';
    printf("Received: %s\n", message);        
    bzero(&incomming,sizeof(struct sockaddr_in));
  }
  close(socket);
}
