/**
 * These functions deal with CRC32 checksums.
 * @file gnet/include/checksum.h
 * @author Krista Bennett
 **/

#ifndef CHECKSUM_H
#define CHECKSUM_H

#include "gnettypes.h"

/**
 * Compute the CRC32 checksum for the first len
 * bytes of the buffer.
 * @param buf the data over which we're taking the CRC
 * @param crc the resulting CRC32 checksum
 **/
int crc32N(void * buf, int len);

#endif

/* end of checksum.h */
