/**
 * The cron service.
 * @author Christian Grothoff
 * @file gnet/include/cron.h
 **/

#ifndef CRON_H
#define CRON_H

#include <unistd.h>
#include <pthread.h>
#include "gnettypes.h"

/**
 * Initialize controlThread.
 **/
void initCron();

/**
 * Start the cron jobs.
 **/
void startCron();

/**
 * Add a cron-job to the delta list.
 * @param method which method should we run
 * @param delta how many seconds until we run the method
 * @param deltaRepeat if this is a periodic, the time between
 *        the runs, otherwise 0.
 **/
void addCronJob(void (*method)(),
		int delta,
		int deltaRepeat);

/**
 * The main-method of cron, will NEVER terminate.
 **/
void cron();

/* end of cron.h */
#endif
