/**
 * Helper methods for the startup of gnet. Do 
 * some checks, commandline parsing and bind
 * to UDP port.
 *
 * @file gnet/include/startup.h
 * @author Christian Grothoff
 **/

#ifndef STARTUP_H
#define STARTUP_H

#include "gnettypes.h"
#include <getopt.h>

/**
 * Print a list of the options we offer.
 **/
void printhelp();

/**
 * Check if the compiler did a decent job.
 **/
void checkCompiler();

/**
 * Perform option parsing from the command line. 
 **/
int parseCommandLine(int argc, 
		     char * argv[],
		     char ** configFile);

/**
 * Allocate & bind a server socket using UDP
 **/
int passivesock();

#endif 
/* end of startup.h */
