/**
 * Constants defining threading properties.
 * @author Christian Grothoff
 * @file gnet/include/threads.h
 **/

/**
 * To do:
 * - flexible number of threads (depending on load)
 * - make min/max configurable by user via config-file
 * 
 * Known bugs:
 * - none.
 **/

/**
 * How many threads can we start (max count). 
 * Q: What is the system limit?
 **/
#define THREAD_COUNT 4

/**
 * Number of threads to start at the beginning
 **/
#define THREAD_MIN 4

/**
 * How many incomming packages do we have in the buffer
 * (max.). Must be >= THREAD_MIN to make sense.
 **/
#define QUEUE_LENGTH 8

/* end of threads.h */
