/**
 * Computation of a CRC32 checksum.
 * @file gnet/include/checksum.c
 * @author Christian Grothoff
 **/ 

#include "checksum.h"

/**
 * Compute the CRC32 checksum for the first len
 * bytes of the buffer.
 * @param buf the data over which we're taking the CRC
 * @param crc the resulting CRC32 checksum
 **/
int crc32N(void * buf, int len) {
  uLong crc;
  crc = crc32(0L, Z_NULL, 0);
  crc = crc32(crc,(Bytef *)buf,len);
#ifdef PRINT_CRC_ALL
  print("CRC: computed crc of %s.\nCRC: Result: %d\n",
	printMem(buf,len),crc);
#endif
  return crc;
}

/* end of checksum.c */
